package de.hdm_stuttgart.mi.sd1.sample;

import de.hdm_stuttgart.mi.sd1.task2.Direction;
import de.hdm_stuttgart.mi.sd1.task2.Position;

/**
 * Character move demo.
 */
public class CharacterMoves {

    /**
     * Comment containing intended use.
     * @param args Unused
     */
    public static void main(String[] args) {

        final Position jim =
                new Position(3,2); // At (3|2)

        System.out.println("Start: " + jim); // Output »Start: (3|2)«

        jim.move(Direction.S);               // Moving to (3|1)
        jim.move(Direction.SW);              // Moving to (2|0)

        System.out.println(jim);             // Output: »(2|0)«

        System.out.println(
                "Result moving SE: " +       // Fails: already at
                jim.move(Direction.SE));     // grid's lower edge

        System.out.println(jim);             // Unchanged position (2|0)

    }

}
