# Generate ond open class/method javadoc for browsing

Grab a terminal in this IDE (Alt+F12) and issue the following command:
```
Exam> mvn javadoc:javadoc
```

Issue a `pwd` command to see your project's working directory:

```
Exam> pwd
/home/student/Downloads/Exam 
```
- Your project's root path will likely differ. Copy and open it in your web browser of choice (Chrome / Firefox).
- From there navigate to `target/site/apidocs` and open the generated documentation's root file `index.html`.

# Implementation tasks

Your project's following packages do contain implementation tasks:

- de.hdm_stuttgart.mi.sd1.task1 (50 Points)

- de.hdm_stuttgart.mi.sd1.task2 (20 points, more difficult)

Read the generated documentation and implement the skeleton methods and classes.

Your project's  `test` branch does contain corresponding unit tests for verifying your solutions' correctness.

# Exam system upload

After finishing implementing:

1. Export this project by hitting **»File ➔ Export ➔ Project to Zip File«**.
2. Use a self-explanatory file name like e.g. `solution1.zip`.
3. Go to your exam browser window and upload `solution1.zip` .
4. Complete by  **clicking the »<span style="background: #527A35;color:white;">Speichern + weiter ➞ </span>«** button.
5. Hit **<span style="background: #446684;color:white;"> 🠬 Speichern + zurück</span>** and check if your
   upload is visible.
6. If you advance on implementing: Repeat steps 1. to 5.: Only the least uploaded `.zip` archive will become subject to
    marking.


